// TriggerWithInput.h: interface for the CTriggerWithInput class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "Utility.h"
#include "Input.h"

#include "DllDefines.h"

class MCCTRDLLCLASS CTriggerWithInput : public CTrigger
{
public:
    void InsertInput(CInput* pInput, BOOL bState, DWORD dwDebounce, DWORD dwTimeout);
    CTriggerWithInput();
    virtual ~CTriggerWithInput();
};
